
function getProfile(){
    let userProfile = localStorage.getItem('user');
    return userProfile ? JSON.parse(userProfile) : userProfile;
}

function createProfile(username, avatar){
    let user = {
        'username': username,
        'avatar': avatar,
        'last_login': new Date()
    }

    localStorage.setItem('user', JSON.stringify(user));
}

export { getProfile, createProfile }

window.getProfile = getProfile;
window.createProfile = createProfile;