import { provider } from "../utility/wallet.js";

class BaseContract {   
    provider;
    contract;
    address;
    abi;

    constructor(caddress, cabi)
    { 
        this.address = caddress;
        this.abi = cabi;
        this.loadContract(); 
    }

    loadContract(){
        if (window.ethereum) {
            this.provider = provider ?? new ethers.providers.Web3Provider(window.ethereum);
            this.contract = new ethers.Contract(this.address, this.abi, this.provider);
        }
    }
}

export { BaseContract }