import { v2RouterContract } from "./uniswap/v2router.js";
import { v2FactoryContract } from "./uniswap/v2factory.js";

var v2routerContract = null;
var v2factoryContract = null;

function initializeContracts(){
	if (window.ethereum) {
		v2routerContract = new v2RouterContract();
		v2factoryContract = new v2FactoryContract();
	}
}

export {
	v2routerContract,
	v2factoryContract,
	initializeContracts
}