function tobytes(input){
	return ethers.utils.toUtf8Bytes(input)
}

function tobytes32(input){
    return ethers.utils.formatBytes32String(input); 
}

function bytestoAscii(input){
    return ethers.utils.toUtf8String(input);
} 

function bytes32toAscii(input){
    return ethers.utils.parseBytes32String(input);
} 

//bignumber -> string
function fromWei(input, unit = "ether"){
	return ethers.utils.formatUnits(input, unit);
}

//parse string value as unit(default wei)
function asUnit(input, unit = "wei"){
	return ethers.utils.parseUnits(input, unit);
}

export { tobytes, tobytes32, bytestoAscii, bytes32toAscii, fromWei, asUnit }

window.tobytes = tobytes;
window.tobytes32 = tobytes32;
window.bytestoAscii = bytestoAscii;
window.bytes32toAscii = bytes32toAscii;
window.fromWei = fromWei;
window.asUnit = asUnit;